Bug 54312 - ServerAlias not included In Name based Virtual Host
ServerAlias not included In Name based Virtual Host
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-04 03:31 EDT by Greg Stark
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 11:29:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Stark 2001-10-04 03:31:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Configuring a Name based Virtual Host with an alias generates no code for 
the alias.

An alias was added *.onkdesigns.com.  No ServerAlias *.onkdesigns.com 
entry was created.  And when one goes to www.onkdesigns.com, one gets the 
_default_.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run program
2. Make changes to add an alias.
3. Save results.
	

Actual Results:  # Virtual host onkdesigns.com
<VirtualHost 64.30.212.22>
        DocumentRoot /home/dmann/onkcom/
        ServerAdmin webmaster@rubyservices.com
        ServerName onkdesigns.com
        <Directory "/home/dmann/onkcom/">
                AllowOverride none
        </Directory>
</VirtualHost>


Expected Results:  # Virtual host onkdesigns.com
<VirtualHost 64.30.212.22>
        DocumentRoot /home/dmann/onkcom/
        ServerAdmin webmaster@rubyservices.com
        ServerName onkdesigns.com
        ServerAlias *.onkdesigns.com 
        <Directory "/home/dmann/onkcom/">
                AllowOverride none
        </Directory>
</VirtualHost>


Additional info:

That you have several virtual hosts this is a major problem. After a save 
you must go in and edit each host.
Comment 1 David Mason 2001-10-04 18:51:19 EDT
phil, please change this to your ownsership in beehive so bugs dont come to me -
thanks
Comment 2 Phil Knirsch 2001-10-05 03:18:13 EDT
OK, changed ownership. Thought i did that already a while ago...

Will take care of it.

Read ya, Phil
Comment 3 Phil Knirsch 2003-02-06 11:29:21 EST
Verified with on current release with latest r-c-h package, works fine for me.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.